ServerEvents.recipes(event => {
    event.remove({id: 'mystianapiary:flower_block'})
    event.remove({id: 'mystianapiary:input_block'})
    event.remove({id: 'mystianapiary:upgrade_block'})
    event.remove({id: 'mystianapiary:output_block'})
})

ServerEvents.recipes(event => {
    //Flower Block
    event.shaped('mystianapiary:flower_block',
    ['121','232','121'], {
        1: '#forge:storage_blocks/honeycombs',
        2: '#minecraft:flowers',
        3: '#productivebees:expansion_boxes'
    }).id('mystianapiary:flower_block')

    //Input Block
    event.shaped('mystianapiary:input_block',
    ['121','232','121'], {
        1: '#forge:storage_blocks/honeycombs',
        2: '#productivebees:expansion_boxes',
        3: 'productivebees:sturdy_bee_cage'
    }).id('mystianapiary:input_block')

    //Upgrade Block
    event.shaped('mystianapiary:upgrade_block',
    ['121','232','121'], {
        1: '#forge:storage_blocks/honeycombs',
        2: 'productivebees:upgrade_time',
        3: '#productivebees:advanced_beehives'
    }).id('mystianapiary:upgrade_block')

    //Output Block
    event.shaped('mystianapiary:output_block',
    ['121','232','121'], {
        1: '#forge:storage_blocks/honeycombs',
        2: '#forge:chests',
        3: 'minecraft:hopper'
    }).id('mystianapiary:output_block')

    //Apiary Guide
    event.shaped({
      "type": "forge:nbt",
      "item": "patchouli:guide_book",
      "count": 1,
      "nbt": "{\"patchouli:book\":\"mystianapiary:apiary_book\"}"
    },
    [' 1 ','121',' 1 '], {
        1: '#forge:honeycombs',
        2: 'minecraft:book'
    }).id('mystianapiary:apiary_guide')
})